Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: समीर सिंह Sameer Singh<[email-masked]>
Date: Wed, 18 May 2022 05:44:30 +0530

>
> I agree that this change is correct, but let's not ever delete the old
> name "Hindi".  Keeping an old alias does no harm.
>

Hindi is not an alias, it is an incorrect term.
No one is using Hindi to refer to the Devanagari script, therefore I think
it should not be readded.

The old name has been in use for almost a century, if not more, so we
> should not rush to deprecate it.  Perhaps in 30 years.
>
> Until then, let's make sure that both the old name and the new name
> are accepted, in any places in which people can input the name of a
> script.
>

I feel like 11 years is enough time.

Only two functions are changed where it affects the user, both are input
methods: odia-itrans and odia-inscript.
If by chance any user is not aware of the new name (which I consider highly
unlikely), they can learn about it when tab completing.
Since both the old and new ones start with an 'O'.

On Wed, May 18, 2022 at 4:29 AM Richard Stallman <[email-masked]> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > While we are it, should we change all instances of "Oriya" in Emacs to
>   > "Odiya"?
>
> The old name has been in use for almost a century, if not more, so we
> should not rush to deprecate it.  Perhaps in 30 years.
>
> Until then, let's make sure that both the old name and the new name
> are accepted, in any places in which people can input the name of a
> script.
>
>
> --
> Dr Richard Stallman (https://stallman.org)
> Chief GNUisance of the GNU Project (https://gnu.org)
> Founder, Free Software Foundation (https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>